LLVM: lldb::SBStream Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBStream Class Reference

`#include <SBStream.h>`

## Public Member Functions
| SBStream ()
| SBStream (SBStream &&rhs)
| ~SBStream ()
bool | IsValid () const
const char * | GetData ()
size_t | GetSize ()
void | Printf (const char *format,...) __attribute__((format(printf
void void | RedirectToFile (const char *path, bool append)
void | RedirectToFileHandle (FILE *fh, bool transfer_fh_ownership)
void | RedirectToFileDescriptor (int fd, bool transfer_fh_ownership)
void | Clear ()

## Protected Member Functions
lldb_private::Stream * | operator-> ()
lldb_private::Stream * | get ()
lldb_private::Stream & | ref ()

## Friends
class | SBAddress
class | SBBlock
class | SBBreakpoint
class | SBBreakpointLocation
class | SBCommandReturnObject
class | SBCompileUnit
class | SBData
class | SBDebugger
class | SBDeclaration
class | SBEvent
class | SBFileSpec
class | SBFileSpecList
class | SBFrame
class | SBFunction
class | SBInstruction
class | SBInstructionList
class | SBLineEntry
class | SBMemoryRegionInfo
class | SBModule
class | SBModuleSpec
class | SBModuleSpecList
class | SBProcess
class | SBSection
class | SBSourceManager
class | SBStructuredData
class | SBSymbol
class | SBSymbolContext
class | SBSymbolContextList
class | SBTarget
class | SBThread
class | SBThreadPlan
class | SBType
class | SBTypeEnumMember
class | SBTypeMemberFunction
class | SBTypeMember
class | SBValue
class | SBWatchpoint

## Detailed Description

Definition at line 19 of file SBStream.h.

## Constructor & Destructor Documentation

lldb::SBStream::SBStream | ( |  | ) |

lldb::SBStream::SBStream | ( | SBStream && | rhs | ) |

lldb::SBStream::~SBStream | ( |  | ) |

## Member Function Documentation

void lldb::SBStream::Clear | ( |  | ) |

lldb_private::Stream* lldb::SBStream::get | ( |  | ) |
| protected

const char* lldb::SBStream::GetData | ( |  | ) |

size_t lldb::SBStream::GetSize | ( |  | ) |

bool lldb::SBStream::IsValid | ( |  | ) | const

lldb_private::Stream* lldb::SBStream::operator-> | ( |  | ) |
| protected

void lldb::SBStream::Printf | ( | const char * | format,
|  |  | ...
| ) |  |

void void lldb::SBStream::RedirectToFile | ( | const char * | path,
|  | bool | append
| ) |  |

void lldb::SBStream::RedirectToFileDescriptor | ( | int | fd,
|  | bool | transfer_fh_ownership
| ) |  |

void lldb::SBStream::RedirectToFileHandle | ( | FILE * | fh,
|  | bool | transfer_fh_ownership
| ) |  |

lldb_private::Stream& lldb::SBStream::ref | ( |  | ) |
| protected

## Friends And Related Function Documentation

friend class SBAddress
| friend

Definition at line 52 of file SBStream.h.

friend class SBBlock
| friend

Definition at line 53 of file SBStream.h.

friend class SBBreakpoint
| friend

Definition at line 54 of file SBStream.h.

friend class SBBreakpointLocation
| friend

Definition at line 55 of file SBStream.h.

friend class SBCommandReturnObject
| friend

Definition at line 56 of file SBStream.h.

friend class SBCompileUnit
| friend

Definition at line 57 of file SBStream.h.

friend class SBData
| friend

Definition at line 58 of file SBStream.h.

friend class SBDebugger
| friend

Definition at line 59 of file SBStream.h.

friend class SBDeclaration
| friend

Definition at line 60 of file SBStream.h.

friend class SBEvent
| friend

Definition at line 61 of file SBStream.h.

friend class SBFileSpec
| friend

Definition at line 62 of file SBStream.h.

friend class SBFileSpecList
| friend

Definition at line 63 of file SBStream.h.

friend class SBFrame
| friend

Definition at line 64 of file SBStream.h.

friend class SBFunction
| friend

Definition at line 65 of file SBStream.h.

friend class SBInstruction
| friend

Definition at line 66 of file SBStream.h.

friend class SBInstructionList
| friend

Definition at line 67 of file SBStream.h.

friend class SBLineEntry
| friend

Definition at line 68 of file SBStream.h.

friend class SBMemoryRegionInfo
| friend

Definition at line 69 of file SBStream.h.

friend class SBModule
| friend

Definition at line 70 of file SBStream.h.

friend class SBModuleSpec
| friend

Definition at line 71 of file SBStream.h.

friend class SBModuleSpecList
| friend

Definition at line 72 of file SBStream.h.

friend class SBProcess
| friend

Definition at line 73 of file SBStream.h.

friend class SBSection
| friend

Definition at line 74 of file SBStream.h.

friend class SBSourceManager
| friend

Definition at line 75 of file SBStream.h.

friend class SBStructuredData
| friend

Definition at line 76 of file SBStream.h.

friend class SBSymbol
| friend

Definition at line 77 of file SBStream.h.

friend class SBSymbolContext
| friend

Definition at line 78 of file SBStream.h.

friend class SBSymbolContextList
| friend

Definition at line 79 of file SBStream.h.

friend class SBTarget
| friend

Definition at line 80 of file SBStream.h.

friend class SBThread
| friend

Definition at line 81 of file SBStream.h.

friend class SBThreadPlan
| friend

Definition at line 82 of file SBStream.h.

friend class SBType
| friend

Definition at line 83 of file SBStream.h.

friend class SBTypeEnumMember
| friend

Definition at line 84 of file SBStream.h.

friend class SBTypeMember
| friend

Definition at line 86 of file SBStream.h.

friend class SBTypeMemberFunction
| friend

Definition at line 85 of file SBStream.h.

friend class SBValue
| friend

Definition at line 87 of file SBStream.h.

friend class SBWatchpoint
| friend

Definition at line 88 of file SBStream.h.

The documentation for this class was generated from the following file:

- SBStream.h